Bug 1307366 - calf: FTBFS in rawhide
calf: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: calf (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:06 EST by Fedora Release Engineering
Modified: 2016-02-25 12:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-25 12:12:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (38.56 KB, text/plain)
2016-02-13 16:06 EST, Fedora Release Engineering
no flags Details
root.log (111.20 KB, text/plain)
2016-02-13 16:06 EST, Fedora Release Engineering
no flags Details
state.log (613 bytes, text/plain)
2016-02-13 16:06 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:06:47 EST
Your package calf failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12808679

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:06:49 EST
Created attachment 1124168 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:06:50 EST
Created attachment 1124169 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:06:51 EST
Created attachment 1124170 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:35:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-02-24 18:56:21 EST
lv2gui.cpp: In function 'void* extgui_instantiate(const _LV2UI_Descriptor*, const char*, const char*, LV2UI_Write_Function, LV2UI_Controller, void**, const LV2_Feature* const*)':
lv2gui.cpp:585:16: error: cannot convert 'bool' to 'LV2UI_Handle {aka void*}' in return
         return false;
                ^~~~~

See "Cannot convert 'bool' to 'T*'" in https://gcc.gnu.org/gcc-6/porting_to.html
Comment 6 Gwyn Ciesla 2016-02-25 09:56:24 EST
I switched to NULL, which worked, and allowed me to get to this:

modules.cpp: In member function 'virtual bool calf_plugins::analyzer_audio_module::get_graph(int, int, float*, int, calf_plugins::cairo_iface*, int*) const':
modules.cpp:1430:74: error: no matching function for call to 'max(float, double)'
                                     fabs(fft_outL[_iter]) - var1L , 1e-20);
                                                                          ^

I know it's related to the <algorithm> header but I can't make out what I'm missing.
Comment 7 Gwyn Ciesla 2016-02-25 11:06:24 EST
Ah, progress. . .
Comment 8 Yaakov Selkowitz 2016-02-25 11:09:35 EST
modules.cpp:1430:74: error: no matching function for call to 'max(float, double)'
                                     fabs(fft_outL[_iter]) - var1L , 1e-20);

That needs to be cast, e.g. float(1e-20)
Comment 9 Gwyn Ciesla 2016-02-25 12:12:23 EST
I used that for make_pair, but for max I converted to >?:.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.